Subject: bug#6636: 24.0.50; special dired feature confuse all dired commands.

From: Chong Yidong <[email-masked]>
Date: Sat, 17 Jul 2010 16:43:16 -0400

"Drew Adams" <[email-masked]> writes:

> The is in `dired-buffers-for-dir'.  It has this code:
>
> (file-name-non-directory dired-directory)
>
> This is wrong. `dired-directory' has every right to be a cons, as it
> is in this case.
>
> Function `dired-buffers-for-dir' was introduced in 23.1, creating this
> regression wrt Emacs 22.3 and prior releases.

I see the bug, but I don't know where you got the idea that this is a
regression.  dired-buffers-for-dir has been unchanged since 1997 (except
for the removal one unused local variable, which does not affect the
present behavior bug).

I'll check in a fix.